This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 322151

Summary: gnome-keyring-ask hangs
Product: [Fedora] Fedora Reporter: Kjartan Maraas <kmaraas>
Component: gnome-keyringAssignee: Alexander Larsson <alexl>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: belegdol, bloch, guillaume, libbe, nicolas.mailhot
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-10-10 05:08:36 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 235703    
Attachments:
Description Flags
strace -f output of gnome-keyring-manager with the problematic keyring none

Description Kjartan Maraas 2007-10-07 09:54:24 EDT
Description of problem:
After updating from rawhide today gnome-keyring-ask started hanging whenever it
first is about to unlock the keyring. I've tried the four or five last packages
without change so the cause is probably somewhere else.

Backtrace from gdb is here:

Thread 1 (Thread -1208838464 (LWP 3766)):
#0  0x0012d402 in __kernel_vsyscall ()
#1  0x00f100d9 in __lll_lock_wait () from /lib/libpthread.so.0
#2  0x00f0cafc in pthread_rwlock_rdlock () from /lib/libpthread.so.0
#3  0x00808d95 in _nl_find_msg () from /lib/libc.so.6
#4  0x008098ab in __dcigettext () from /lib/libc.so.6
#5  0x00808703 in dcgettext () from /lib/libc.so.6
#6  0x005520a7 in gdk_pango_renderer_class_intern_init (klass=0x8465308)
    at gdkpango.c:487
#7  0x006fbd81 in IA__g_type_class_ref (type=141252824) at gtype.c:1874
#8  0x006e2753 in IA__g_object_new_valist (object_type=141252824, 
    first_property_name=0x5b63ed "screen", var_args=0xbfeead08 "")
    at gobject.c:988
#9  0x006e2ae0 in IA__g_object_new (object_type=141252824, 
    first_property_name=0x5b63ed "screen") at gobject.c:795
#10 0x00551661 in IA__gdk_pango_renderer_new (screen=0x841f100)
    at gdkpango.c:517
#11 0x00551728 in IA__gdk_pango_renderer_get_default (screen=0x841f100)
    at gdkpango.c:563
#12 0x005517fc in get_renderer (drawable=0x8421648, gc=0x841e390, 
    foreground=0x0, background=0x0) at gdkpango.c:749
#13 0x0055195c in IA__gdk_draw_layout_with_colors (drawable=0x8421648, 
    gc=0x841e390, x=73, y=13, layout=0x8421ef0, foreground=0x0, background=0x0)
    at gdkpango.c:913
#14 0x00551be7 in IA__gdk_draw_layout (drawable=0x8421648, gc=0x841e390, x=73, 
    y=13, layout=0x8421ef0) at gdkpango.c:1013
#15 0x00c1c547 in ?? () from /usr/lib/gtk-2.0/2.10.0/engines/libnodoka.so
#16 0x00314489 in IA__gtk_paint_layout (style=0x8466128, window=0x8421648, 
    state_type=GTK_STATE_NORMAL, use_text=0, area=0x8467514, widget=0x8451130, 
    detail=0x497e71 "label", x=73, y=13, layout=0x8421ef0) at gtkstyle.c:6356
#17 0x002787f4 in gtk_label_expose (widget=0x8451130, event=0x8467508)
    at gtklabel.c:2519
#18 0x00290202 in _gtk_marshal_BOOLEAN__BOXED (closure=0x842aa90, 
    return_value=0xbfeeb170, n_param_values=2, param_values=0xbfeeb24c, 
    invocation_hint=0xbfeeb15c, marshal_data=0x2786c0) at gtkmarshalers.c:84
#19 0x006db749 in g_type_class_meta_marshal (closure=0x842aa90, 
    return_value=0xbfeeb170, n_param_values=2, param_values=0xbfeeb24c, 
    invocation_hint=0xbfeeb15c, marshal_data=0xc8) at gclosure.c:567
#20 0x006dd03c in IA__g_closure_invoke (closure=0x842aa90, 
    return_value=0xbfeeb170, n_param_values=2, param_values=0xbfeeb24c, 
    invocation_hint=0xbfeeb15c) at gclosure.c:490
#21 0x006edd13 in signal_emit_unlocked_R (node=0x842ac88, detail=0, 
    instance=0x8451130, emission_return=0xbfeeb40c, 
    instance_and_params=0xbfeeb24c) at gsignal.c:2478
#22 0x006ee9af in IA__g_signal_emit_valist (instance=0x8451130, signal_id=37, 
    detail=0, var_args=<value optimized out>) at gsignal.c:2209
#23 0x006eeda9 in IA__g_signal_emit (instance=0x8451130, signal_id=37, 
    detail=0) at gsignal.c:2243
#24 0x003ca248 in gtk_widget_event_internal (widget=0x8451130, event=0x8467508)
    at gtkwidget.c:4675
#25 0x001df0f4 in IA__gtk_container_propagate_expose (container=0x8421588, 
    child=0x8451130, event=0x84674b8) at gtkcontainer.c:2655
#26 0x001df146 in gtk_container_expose_child (child=0x8451130, 
    client_data=0xbfeeb584) at gtkcontainer.c:2543
#27 0x00320dea in gtk_table_forall (container=0x8421588, include_internals=1, 
    callback=0x1df100 <gtk_container_expose_child>, callback_data=0xbfeeb584)
    at gtktable.c:931
#28 0x001dfd2b in IA__gtk_container_forall (container=0x8421588, 
    callback=0x1df100 <gtk_container_expose_child>, callback_data=0xbfeeb584)
    at gtkcontainer.c:1453
#29 0x001dfe33 in gtk_container_expose (widget=0x8421588, event=0x84674b8)
    at gtkcontainer.c:2566
#30 0x00290202 in _gtk_marshal_BOOLEAN__BOXED (closure=0x842aa90, 
    return_value=0xbfeeb730, n_param_values=2, param_values=0xbfeeb80c, 
    invocation_hint=0xbfeeb71c, marshal_data=0x1dfd70) at gtkmarshalers.c:84
#31 0x006db749 in g_type_class_meta_marshal (closure=0x842aa90, 
    return_value=0xbfeeb730, n_param_values=2, param_values=0xbfeeb80c, 
    invocation_hint=0xbfeeb71c, marshal_data=0xc8) at gclosure.c:567
#32 0x006dd03c in IA__g_closure_invoke (closure=0x842aa90, 
    return_value=0xbfeeb730, n_param_values=2, param_values=0xbfeeb80c, 
    invocation_hint=0xbfeeb71c) at gclosure.c:490
#33 0x006edd13 in signal_emit_unlocked_R (node=0x842ac88, detail=0, 
    instance=0x8421588, emission_return=0xbfeeb9cc, 
    instance_and_params=0xbfeeb80c) at gsignal.c:2478
#34 0x006ee9af in IA__g_signal_emit_valist (instance=0x8421588, signal_id=37, 
    detail=0, var_args=<value optimized out>) at gsignal.c:2209
#35 0x006eeda9 in IA__g_signal_emit (instance=0x8421588, signal_id=37, 
    detail=0) at gsignal.c:2243
#36 0x003ca248 in gtk_widget_event_internal (widget=0x8421588, event=0x84674b8)
    at gtkwidget.c:4675
#37 0x001df0f4 in IA__gtk_container_propagate_expose (container=0x8420650, 
    child=0x8421588, event=0x8467468) at gtkcontainer.c:2655
#38 0x001df146 in gtk_container_expose_child (child=0x8421588, 
    client_data=0xbfeebb54) at gtkcontainer.c:2543
#39 0x00195170 in gtk_box_forall (container=0x8420650, include_internals=1, 
    callback=0x1df100 <gtk_container_expose_child>, callback_data=0xbfeebb54)
    at gtkbox.c:799
#40 0x001dfd2b in IA__gtk_container_forall (container=0x8420650, 
    callback=0x1df100 <gtk_container_expose_child>, callback_data=0xbfeebb54)
    at gtkcontainer.c:1453
#41 0x001dfe33 in gtk_container_expose (widget=0x8420650, event=0x8467468)
    at gtkcontainer.c:2566
#42 0x00290202 in _gtk_marshal_BOOLEAN__BOXED (closure=0x842aa90, 
    return_value=0xbfeebd00, n_param_values=2, param_values=0xbfeebddc, 
    invocation_hint=0xbfeebcec, marshal_data=0x1dfd70) at gtkmarshalers.c:84
#43 0x006db749 in g_type_class_meta_marshal (closure=0x842aa90, 
    return_value=0xbfeebd00, n_param_values=2, param_values=0xbfeebddc, 
    invocation_hint=0xbfeebcec, marshal_data=0xc8) at gclosure.c:567
#44 0x006dd03c in IA__g_closure_invoke (closure=0x842aa90, 
    return_value=0xbfeebd00, n_param_values=2, param_values=0xbfeebddc, 
    invocation_hint=0xbfeebcec) at gclosure.c:490
#45 0x006edd13 in signal_emit_unlocked_R (node=0x842ac88, detail=0, 
    instance=0x8420650, emission_return=0xbfeebf9c, 
    instance_and_params=0xbfeebddc) at gsignal.c:2478
#46 0x006ee9af in IA__g_signal_emit_valist (instance=0x8420650, signal_id=37, 
    detail=0, var_args=<value optimized out>) at gsignal.c:2209
#47 0x006eeda9 in IA__g_signal_emit (instance=0x8420650, signal_id=37, 
    detail=0) at gsignal.c:2243
#48 0x003ca248 in gtk_widget_event_internal (widget=0x8420650, event=0x8467468)
    at gtkwidget.c:4675
#49 0x001df0f4 in IA__gtk_container_propagate_expose (container=0x84205b0, 
    child=0x8420650, event=0x8467418) at gtkcontainer.c:2655
#50 0x001df146 in gtk_container_expose_child (child=0x8420650, 
    client_data=0xbfeec124) at gtkcontainer.c:2543
#51 0x00195170 in gtk_box_forall (container=0x84205b0, include_internals=1, 
    callback=0x1df100 <gtk_container_expose_child>, callback_data=0xbfeec124)
    at gtkbox.c:799
#52 0x001dfd2b in IA__gtk_container_forall (container=0x84205b0, 
    callback=0x1df100 <gtk_container_expose_child>, callback_data=0xbfeec124)
    at gtkcontainer.c:1453
#53 0x001dfe33 in gtk_container_expose (widget=0x84205b0, event=0x8467418)
    at gtkcontainer.c:2566
#54 0x00290202 in _gtk_marshal_BOOLEAN__BOXED (closure=0x842aa90, 
    return_value=0xbfeec2d0, n_param_values=2, param_values=0xbfeec3ac, 
    invocation_hint=0xbfeec2bc, marshal_data=0x1dfd70) at gtkmarshalers.c:84
#55 0x006db749 in g_type_class_meta_marshal (closure=0x842aa90, 
    return_value=0xbfeec2d0, n_param_values=2, param_values=0xbfeec3ac, 
    invocation_hint=0xbfeec2bc, marshal_data=0xc8) at gclosure.c:567
#56 0x006dd03c in IA__g_closure_invoke (closure=0x842aa90, 
    return_value=0xbfeec2d0, n_param_values=2, param_values=0xbfeec3ac, 
    invocation_hint=0xbfeec2bc) at gclosure.c:490
#57 0x006edd13 in signal_emit_unlocked_R (node=0x842ac88, detail=0, 
    instance=0x84205b0, emission_return=0xbfeec56c, 
    instance_and_params=0xbfeec3ac) at gsignal.c:2478
#58 0x006ee9af in IA__g_signal_emit_valist (instance=0x84205b0, signal_id=37, 
    detail=0, var_args=<value optimized out>) at gsignal.c:2209
#59 0x006eeda9 in IA__g_signal_emit (instance=0x84205b0, signal_id=37, 
    detail=0) at gsignal.c:2243
#60 0x003ca248 in gtk_widget_event_internal (widget=0x84205b0, event=0x8467418)
    at gtkwidget.c:4675
#61 0x001df0f4 in IA__gtk_container_propagate_expose (container=0x8433038, 
    child=0x84205b0, event=0xbfeecc84) at gtkcontainer.c:2655
#62 0x001df146 in gtk_container_expose_child (child=0x84205b0, 
    client_data=0xbfeec6e4) at gtkcontainer.c:2543
#63 0x00191105 in gtk_bin_forall (container=0x8433038, include_internals=1, 
    callback=0x1df100 <gtk_container_expose_child>, callback_data=0xbfeec6e4)
    at gtkbin.c:133
#64 0x001dfd2b in IA__gtk_container_forall (container=0x8433038, 
    callback=0x1df100 <gtk_container_expose_child>, callback_data=0xbfeec6e4)
    at gtkcontainer.c:1453
#65 0x001dfe33 in gtk_container_expose (widget=0x8433038, event=0xbfeecc84)
    at gtkcontainer.c:2566
#66 0x003e521b in gtk_window_expose (widget=0x8433038, event=0xbfeecc84)
    at gtkwindow.c:6355
#67 0x00290202 in _gtk_marshal_BOOLEAN__BOXED (closure=0x842aa90, 
    return_value=0xbfeec8b0, n_param_values=2, param_values=0xbfeec98c, 
    invocation_hint=0xbfeec89c, marshal_data=0x3e51a0) at gtkmarshalers.c:84
#68 0x006db749 in g_type_class_meta_marshal (closure=0x842aa90, 
    return_value=0xbfeec8b0, n_param_values=2, param_values=0xbfeec98c, 
    invocation_hint=0xbfeec89c, marshal_data=0xc8) at gclosure.c:567
#69 0x006dcf53 in IA__g_closure_invoke (closure=0x842aa90, 
    return_value=0xbfeec8b0, n_param_values=2, param_values=0xbfeec98c, 
    invocation_hint=0xbfeec89c) at gclosure.c:490
#70 0x006edd13 in signal_emit_unlocked_R (node=0x842ac88, detail=0, 
    instance=0x8433038, emission_return=0xbfeecb4c, 
    instance_and_params=0xbfeec98c) at gsignal.c:2478
#71 0x006ee9af in IA__g_signal_emit_valist (instance=0x8433038, signal_id=37, 
    detail=0, var_args=<value optimized out>) at gsignal.c:2209
#72 0x006eeda9 in IA__g_signal_emit (instance=0x8433038, signal_id=37, 
    detail=0) at gsignal.c:2243
#73 0x003ca248 in gtk_widget_event_internal (widget=0x8433038, 
    event=0xbfeecc84) at gtkwidget.c:4675
#74 0x002896e3 in IA__gtk_main_do_event (event=0xbfeecc84) at gtkmain.c:1495
#75 0x005612e1 in gdk_window_process_updates_internal (window=0x8421648)
    at gdkwindow.c:2378
#76 0x00561aac in IA__gdk_window_process_all_updates () at gdkwindow.c:2442
#77 0x001e000d in gtk_container_idle_sizer (data=0x0) at gtkcontainer.c:1307
#78 0x005475f8 in gdk_threads_dispatch (data=0x84548a0) at gdk.c:470
#79 0x00747531 in g_idle_dispatch (source=0x84651f8, callback=0x841a600, 
    user_data=0x84548a0) at gmain.c:4132
#80 0x007490fc in IA__g_main_context_dispatch (context=0x84240f0)
    at gmain.c:2061
#81 0x0074c53f in g_main_context_iterate (context=0x84240f0, block=1, 
    dispatch=1, self=0x8439b90) at gmain.c:2694
#82 0x0074c8e9 in IA__g_main_loop_run (loop=0x86b52a0) at gmain.c:2898
#83 0x001f3902 in IA__gtk_dialog_run (dialog=0x8433038) at gtkdialog.c:1038
#84 0x0804afaa in run_dialog (include_password=1, include_confirm=0, 
    include_original=0, password_out=0xbfeecff8, original_out=0xbfeecff4, 
    default_response=2, first_button_text=0xb7d0aba9 "Nekt")
    at gkr-ask-tool.c:439
#85 0x0804bcb9 in main (argc=Cannot access memory at address 0x2
) at gkr-ask-tool.c:537
#86 0x007fb3a0 in __libc_start_main () from /lib/libc.so.6
#87 0x0804a2c1 in _start ()
#0  0x0012d402 in __kernel_vsyscall ()


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Nicolas Mailhot 2007-10-07 10:08:43 EDT
gnome-keyring-ask is used by evo too so the bug can manifest itself as a hanging evo
Comment 2 Kjartan Maraas 2007-10-07 12:48:00 EDT
Created attachment 218771 [details]
strace -f output of gnome-keyring-manager with the problematic keyring

I ran strace on gnome-keyring-manager with the problematic keyring in place
Comment 3 Kjartan Maraas 2007-10-07 13:22:11 EDT
Valgrind has this to say about gnome-keyring-ask:

==3247== Syscall param futex(futex) points to uninitialised byte(s)
==3247==    at 0x4ED84EB: __pthread_initialize_minimal (init.c:288)
==3247==    by 0x4ED81F7: ??? (crti.S:14)
==3247==    by 0x4ED7D97: ??? (crti.S:27)
==3247==    by 0x400E562: call_init (dl-init.c:70)
==3247==    by 0x400E68F: _dl_init (dl-init.c:100)
==3247==    by 0x40120D3: dl_open_worker (dl-open.c:516)
==3247==    by 0x400E1A5: _dl_catch_error (dl-error.c:178)
==3247==    by 0x40117E1: _dl_open (dl-open.c:596)
==3247==    by 0x462AC8C: dlopen_doit (dlopen.c:66)
==3247==    by 0x400E1A5: _dl_catch_error (dl-error.c:178)
==3247==    by 0x462B30B: _dlerror_run (dlerror.c:164)
==3247==    by 0x462ABC3: dlopen@@GLIBC_2.1 (dlopen.c:87)
==3247==    by 0x4627493: g_module_open (gmodule-dl.c:98)
==3247==    by 0x41B8CEA: load_modules (gtkmodules.c:240)
==3247==    by 0x41B91A7: _gtk_modules_init (gtkmodules.c:514)
==3247==    by 0x419C2E3: post_parse_hook (gtkmain.c:673)
==3247==    by 0x466A8EE: g_option_context_parse (goption.c:1753)
==3247==    by 0x419BE9B: gtk_parse_args (gtkmain.c:859)
==3247==    by 0x419BF13: gtk_init_check (gtkmain.c:895)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
==3247==  Address 0xBEBBEED4 is on thread 1's stack
--3247-- REDIR: 0x40160A0 (stpcpy) redirected to 0x40244D0 (stpcpy)
==3247== 
==3247== Conditional jump or move depends on uninitialised value(s)
==3247==    at 0x4EDCA83: pthread_rwlock_rdlock (in /lib/libpthread-2.6.90.so)
==3247==    by 0x471D8AA: __dcigettext (dcigettext.c:639)
==3247==    by 0x471C702: dcgettext (dcgettext.c:53)
==3247==    by 0x44713F0: gdk_screen_class_intern_init (gdkscreen.c:71)
==3247==    by 0x460ED80: g_type_class_ref (gtype.c:1874)
==3247==    by 0x460F1D8: g_type_class_ref (gtype.c:2387)
==3247==    by 0x45F5439: g_object_newv (gobject.c:853)
==3247==    by 0x45F592E: g_object_new_valist (gobject.c:986)
==3247==    by 0x45F5ADF: g_object_new (gobject.c:795)
==3247==    by 0x449B84E: _gdk_x11_screen_new (gdkscreen-x11.c:501)
==3247==    by 0x447D4A1: gdk_display_open (gdkdisplay-x11.c:171)
==3247==    by 0x445983E: gdk_display_open_default_libgtk_only (gdk.c:288)
==3247==    by 0x419BF1E: gtk_init_check (gtkmain.c:898)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
==3247== 
==3247== Conditional jump or move depends on uninitialised value(s)
==3247==    at 0x4EDCA8A: pthread_rwlock_rdlock (in /lib/libpthread-2.6.90.so)
==3247==    by 0x471D8AA: __dcigettext (dcigettext.c:639)
==3247==    by 0x471C702: dcgettext (dcgettext.c:53)
==3247==    by 0x44713F0: gdk_screen_class_intern_init (gdkscreen.c:71)
==3247==    by 0x460ED80: g_type_class_ref (gtype.c:1874)
==3247==    by 0x460F1D8: g_type_class_ref (gtype.c:2387)
==3247==    by 0x45F5439: g_object_newv (gobject.c:853)
==3247==    by 0x45F592E: g_object_new_valist (gobject.c:986)
==3247==    by 0x45F5ADF: g_object_new (gobject.c:795)
==3247==    by 0x449B84E: _gdk_x11_screen_new (gdkscreen-x11.c:501)
==3247==    by 0x447D4A1: gdk_display_open (gdkdisplay-x11.c:171)
==3247==    by 0x445983E: gdk_display_open_default_libgtk_only (gdk.c:288)
==3247==    by 0x419BF1E: gtk_init_check (gtkmain.c:898)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
==3247== 
==3247== Conditional jump or move depends on uninitialised value(s)
==3247==    at 0x4EDCA90: pthread_rwlock_rdlock (in /lib/libpthread-2.6.90.so)
==3247==    by 0x471D8AA: __dcigettext (dcigettext.c:639)
==3247==    by 0x471C702: dcgettext (dcgettext.c:53)
==3247==    by 0x44713F0: gdk_screen_class_intern_init (gdkscreen.c:71)
==3247==    by 0x460ED80: g_type_class_ref (gtype.c:1874)
==3247==    by 0x460F1D8: g_type_class_ref (gtype.c:2387)
==3247==    by 0x45F5439: g_object_newv (gobject.c:853)
==3247==    by 0x45F592E: g_object_new_valist (gobject.c:986)
==3247==    by 0x45F5ADF: g_object_new (gobject.c:795)
==3247==    by 0x449B84E: _gdk_x11_screen_new (gdkscreen-x11.c:501)
==3247==    by 0x447D4A1: gdk_display_open (gdkdisplay-x11.c:171)
==3247==    by 0x445983E: gdk_display_open_default_libgtk_only (gdk.c:288)
==3247==    by 0x419BF1E: gtk_init_check (gtkmain.c:898)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
==3247== 
==3247== Conditional jump or move depends on uninitialised value(s)
==3247==    at 0x4EDCAE5: pthread_rwlock_rdlock (in /lib/libpthread-2.6.90.so)
==3247==    by 0x471D8AA: __dcigettext (dcigettext.c:639)
==3247==    by 0x471C702: dcgettext (dcgettext.c:53)
==3247==    by 0x44713F0: gdk_screen_class_intern_init (gdkscreen.c:71)
==3247==    by 0x460ED80: g_type_class_ref (gtype.c:1874)
==3247==    by 0x460F1D8: g_type_class_ref (gtype.c:2387)
==3247==    by 0x45F5439: g_object_newv (gobject.c:853)
==3247==    by 0x45F592E: g_object_new_valist (gobject.c:986)
==3247==    by 0x45F5ADF: g_object_new (gobject.c:795)
==3247==    by 0x449B84E: _gdk_x11_screen_new (gdkscreen-x11.c:501)
==3247==    by 0x447D4A1: gdk_display_open (gdkdisplay-x11.c:171)
==3247==    by 0x445983E: gdk_display_open_default_libgtk_only (gdk.c:288)
==3247==    by 0x419BF1E: gtk_init_check (gtkmain.c:898)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
==3247== 
==3247== Conditional jump or move depends on uninitialised value(s)
==3247==    at 0x4EDCAEB: pthread_rwlock_rdlock (in /lib/libpthread-2.6.90.so)
==3247==    by 0x471D8AA: __dcigettext (dcigettext.c:639)
==3247==    by 0x471C702: dcgettext (dcgettext.c:53)
==3247==    by 0x44713F0: gdk_screen_class_intern_init (gdkscreen.c:71)
==3247==    by 0x460ED80: g_type_class_ref (gtype.c:1874)
==3247==    by 0x460F1D8: g_type_class_ref (gtype.c:2387)
==3247==    by 0x45F5439: g_object_newv (gobject.c:853)
==3247==    by 0x45F592E: g_object_new_valist (gobject.c:986)
==3247==    by 0x45F5ADF: g_object_new (gobject.c:795)
==3247==    by 0x449B84E: _gdk_x11_screen_new (gdkscreen-x11.c:501)
==3247==    by 0x447D4A1: gdk_display_open (gdkdisplay-x11.c:171)
==3247==    by 0x445983E: gdk_display_open_default_libgtk_only (gdk.c:288)
==3247==    by 0x419BF1E: gtk_init_check (gtkmain.c:898)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
==3247== 
==3247== Conditional jump or move depends on uninitialised value(s)
==3247==    at 0x4EDCFF1: pthread_rwlock_unlock (in /lib/libpthread-2.6.90.so)
==3247==    by 0x471D8AA: __dcigettext (dcigettext.c:639)
==3247==    by 0x471C702: dcgettext (dcgettext.c:53)
==3247==    by 0x44713F0: gdk_screen_class_intern_init (gdkscreen.c:71)
==3247==    by 0x460ED80: g_type_class_ref (gtype.c:1874)
==3247==    by 0x460F1D8: g_type_class_ref (gtype.c:2387)
==3247==    by 0x45F5439: g_object_newv (gobject.c:853)
==3247==    by 0x45F592E: g_object_new_valist (gobject.c:986)
==3247==    by 0x45F5ADF: g_object_new (gobject.c:795)
==3247==    by 0x449B84E: _gdk_x11_screen_new (gdkscreen-x11.c:501)
==3247==    by 0x447D4A1: gdk_display_open (gdkdisplay-x11.c:171)
==3247==    by 0x445983E: gdk_display_open_default_libgtk_only (gdk.c:288)
==3247==    by 0x419BF1E: gtk_init_check (gtkmain.c:898)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
==3247== 
==3247== Conditional jump or move depends on uninitialised value(s)
==3247==    at 0x4EDCFF7: pthread_rwlock_unlock (in /lib/libpthread-2.6.90.so)
==3247==    by 0x471D8AA: __dcigettext (dcigettext.c:639)
==3247==    by 0x471C702: dcgettext (dcgettext.c:53)
==3247==    by 0x44713F0: gdk_screen_class_intern_init (gdkscreen.c:71)
==3247==    by 0x460ED80: g_type_class_ref (gtype.c:1874)
==3247==    by 0x460F1D8: g_type_class_ref (gtype.c:2387)
==3247==    by 0x45F5439: g_object_newv (gobject.c:853)
==3247==    by 0x45F592E: g_object_new_valist (gobject.c:986)
==3247==    by 0x45F5ADF: g_object_new (gobject.c:795)
==3247==    by 0x449B84E: _gdk_x11_screen_new (gdkscreen-x11.c:501)
==3247==    by 0x447D4A1: gdk_display_open (gdkdisplay-x11.c:171)
==3247==    by 0x445983E: gdk_display_open_default_libgtk_only (gdk.c:288)
==3247==    by 0x419BF1E: gtk_init_check (gtkmain.c:898)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
==3247== 
==3247== Conditional jump or move depends on uninitialised value(s)
==3247==    at 0x4EDCFFD: pthread_rwlock_unlock (in /lib/libpthread-2.6.90.so)
==3247==    by 0x471D8AA: __dcigettext (dcigettext.c:639)
==3247==    by 0x471C702: dcgettext (dcgettext.c:53)
==3247==    by 0x44713F0: gdk_screen_class_intern_init (gdkscreen.c:71)
==3247==    by 0x460ED80: g_type_class_ref (gtype.c:1874)
==3247==    by 0x460F1D8: g_type_class_ref (gtype.c:2387)
==3247==    by 0x45F5439: g_object_newv (gobject.c:853)
==3247==    by 0x45F592E: g_object_new_valist (gobject.c:986)
==3247==    by 0x45F5ADF: g_object_new (gobject.c:795)
==3247==    by 0x449B84E: _gdk_x11_screen_new (gdkscreen-x11.c:501)
==3247==    by 0x447D4A1: gdk_display_open (gdkdisplay-x11.c:171)
==3247==    by 0x445983E: gdk_display_open_default_libgtk_only (gdk.c:288)
==3247==    by 0x419BF1E: gtk_init_check (gtkmain.c:898)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
==3247== 
==3247== Conditional jump or move depends on uninitialised value(s)
==3247==    at 0x4EDD012: pthread_rwlock_unlock (in /lib/libpthread-2.6.90.so)
==3247==    by 0x471D8AA: __dcigettext (dcigettext.c:639)
==3247==    by 0x471C702: dcgettext (dcgettext.c:53)
==3247==    by 0x44713F0: gdk_screen_class_intern_init (gdkscreen.c:71)
==3247==    by 0x460ED80: g_type_class_ref (gtype.c:1874)
==3247==    by 0x460F1D8: g_type_class_ref (gtype.c:2387)
==3247==    by 0x45F5439: g_object_newv (gobject.c:853)
==3247==    by 0x45F592E: g_object_new_valist (gobject.c:986)
==3247==    by 0x45F5ADF: g_object_new (gobject.c:795)
==3247==    by 0x449B84E: _gdk_x11_screen_new (gdkscreen-x11.c:501)
==3247==    by 0x447D4A1: gdk_display_open (gdkdisplay-x11.c:171)
==3247==    by 0x445983E: gdk_display_open_default_libgtk_only (gdk.c:288)
==3247==    by 0x419BF1E: gtk_init_check (gtkmain.c:898)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
==3247== 
==3247== Conditional jump or move depends on uninitialised value(s)
==3247==    at 0x4EDD018: pthread_rwlock_unlock (in /lib/libpthread-2.6.90.so)
==3247==    by 0x471D8AA: __dcigettext (dcigettext.c:639)
==3247==    by 0x471C702: dcgettext (dcgettext.c:53)
==3247==    by 0x44713F0: gdk_screen_class_intern_init (gdkscreen.c:71)
==3247==    by 0x460ED80: g_type_class_ref (gtype.c:1874)
==3247==    by 0x460F1D8: g_type_class_ref (gtype.c:2387)
==3247==    by 0x45F5439: g_object_newv (gobject.c:853)
==3247==    by 0x45F592E: g_object_new_valist (gobject.c:986)
==3247==    by 0x45F5ADF: g_object_new (gobject.c:795)
==3247==    by 0x449B84E: _gdk_x11_screen_new (gdkscreen-x11.c:501)
==3247==    by 0x447D4A1: gdk_display_open (gdkdisplay-x11.c:171)
==3247==    by 0x445983E: gdk_display_open_default_libgtk_only (gdk.c:288)
==3247==    by 0x419BF1E: gtk_init_check (gtkmain.c:898)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
==3247== 
==3247== Conditional jump or move depends on uninitialised value(s)
==3247==    at 0x4EDD054: pthread_rwlock_unlock (in /lib/libpthread-2.6.90.so)
==3247==    by 0x471D8AA: __dcigettext (dcigettext.c:639)
==3247==    by 0x471C702: dcgettext (dcgettext.c:53)
==3247==    by 0x44713F0: gdk_screen_class_intern_init (gdkscreen.c:71)
==3247==    by 0x460ED80: g_type_class_ref (gtype.c:1874)
==3247==    by 0x460F1D8: g_type_class_ref (gtype.c:2387)
==3247==    by 0x45F5439: g_object_newv (gobject.c:853)
==3247==    by 0x45F592E: g_object_new_valist (gobject.c:986)
==3247==    by 0x45F5ADF: g_object_new (gobject.c:795)
==3247==    by 0x449B84E: _gdk_x11_screen_new (gdkscreen-x11.c:501)
==3247==    by 0x447D4A1: gdk_display_open (gdkdisplay-x11.c:171)
==3247==    by 0x445983E: gdk_display_open_default_libgtk_only (gdk.c:288)
==3247==    by 0x419BF1E: gtk_init_check (gtkmain.c:898)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
==3247== 
==3247== Conditional jump or move depends on uninitialised value(s)
==3247==    at 0x4EDCA83: pthread_rwlock_rdlock (in /lib/libpthread-2.6.90.so)
==3247==    by 0x471D8AA: __dcigettext (dcigettext.c:639)
==3247==    by 0x471C702: dcgettext (dcgettext.c:53)
==3247==    by 0x447140F: gdk_screen_class_intern_init (gdkscreen.c:71)
==3247==    by 0x460ED80: g_type_class_ref (gtype.c:1874)
==3247==    by 0x460F1D8: g_type_class_ref (gtype.c:2387)
==3247==    by 0x45F5439: g_object_newv (gobject.c:853)
==3247==    by 0x45F592E: g_object_new_valist (gobject.c:986)
==3247==    by 0x45F5ADF: g_object_new (gobject.c:795)
==3247==    by 0x449B84E: _gdk_x11_screen_new (gdkscreen-x11.c:501)
==3247==    by 0x447D4A1: gdk_display_open (gdkdisplay-x11.c:171)
==3247==    by 0x445983E: gdk_display_open_default_libgtk_only (gdk.c:288)
==3247==    by 0x419BF1E: gtk_init_check (gtkmain.c:898)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
==3247== 
==3247== Conditional jump or move depends on uninitialised value(s)
==3247==    at 0x4EDCA90: pthread_rwlock_rdlock (in /lib/libpthread-2.6.90.so)
==3247==    by 0x471D8AA: __dcigettext (dcigettext.c:639)
==3247==    by 0x471C702: dcgettext (dcgettext.c:53)
==3247==    by 0x447140F: gdk_screen_class_intern_init (gdkscreen.c:71)
==3247==    by 0x460ED80: g_type_class_ref (gtype.c:1874)
==3247==    by 0x460F1D8: g_type_class_ref (gtype.c:2387)
==3247==    by 0x45F5439: g_object_newv (gobject.c:853)
==3247==    by 0x45F592E: g_object_new_valist (gobject.c:986)
==3247==    by 0x45F5ADF: g_object_new (gobject.c:795)
==3247==    by 0x449B84E: _gdk_x11_screen_new (gdkscreen-x11.c:501)
==3247==    by 0x447D4A1: gdk_display_open (gdkdisplay-x11.c:171)
==3247==    by 0x445983E: gdk_display_open_default_libgtk_only (gdk.c:288)
==3247==    by 0x419BF1E: gtk_init_check (gtkmain.c:898)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
==3247== 
==3247== Conditional jump or move depends on uninitialised value(s)
==3247==    at 0x4EDCAE5: pthread_rwlock_rdlock (in /lib/libpthread-2.6.90.so)
==3247==    by 0x471D8AA: __dcigettext (dcigettext.c:639)
==3247==    by 0x471C702: dcgettext (dcgettext.c:53)
==3247==    by 0x447140F: gdk_screen_class_intern_init (gdkscreen.c:71)
==3247==    by 0x460ED80: g_type_class_ref (gtype.c:1874)
==3247==    by 0x460F1D8: g_type_class_ref (gtype.c:2387)
==3247==    by 0x45F5439: g_object_newv (gobject.c:853)
==3247==    by 0x45F592E: g_object_new_valist (gobject.c:986)
==3247==    by 0x45F5ADF: g_object_new (gobject.c:795)
==3247==    by 0x449B84E: _gdk_x11_screen_new (gdkscreen-x11.c:501)
==3247==    by 0x447D4A1: gdk_display_open (gdkdisplay-x11.c:171)
==3247==    by 0x445983E: gdk_display_open_default_libgtk_only (gdk.c:288)
==3247==    by 0x419BF1E: gtk_init_check (gtkmain.c:898)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
==3247== 
==3247== Conditional jump or move depends on uninitialised value(s)
==3247==    at 0x4EDCAEB: pthread_rwlock_rdlock (in /lib/libpthread-2.6.90.so)
==3247==    by 0x471D8AA: __dcigettext (dcigettext.c:639)
==3247==    by 0x471C702: dcgettext (dcgettext.c:53)
==3247==    by 0x447140F: gdk_screen_class_intern_init (gdkscreen.c:71)
==3247==    by 0x460ED80: g_type_class_ref (gtype.c:1874)
==3247==    by 0x460F1D8: g_type_class_ref (gtype.c:2387)
==3247==    by 0x45F5439: g_object_newv (gobject.c:853)
==3247==    by 0x45F592E: g_object_new_valist (gobject.c:986)
==3247==    by 0x45F5ADF: g_object_new (gobject.c:795)
==3247==    by 0x449B84E: _gdk_x11_screen_new (gdkscreen-x11.c:501)
==3247==    by 0x447D4A1: gdk_display_open (gdkdisplay-x11.c:171)
==3247==    by 0x445983E: gdk_display_open_default_libgtk_only (gdk.c:288)
==3247==    by 0x419BF1E: gtk_init_check (gtkmain.c:898)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
==3247== 
==3247== Conditional jump or move depends on uninitialised value(s)
==3247==    at 0x4EDCFF1: pthread_rwlock_unlock (in /lib/libpthread-2.6.90.so)
==3247==    by 0x471D8AA: __dcigettext (dcigettext.c:639)
==3247==    by 0x471C702: dcgettext (dcgettext.c:53)
==3247==    by 0x447140F: gdk_screen_class_intern_init (gdkscreen.c:71)
==3247==    by 0x460ED80: g_type_class_ref (gtype.c:1874)
==3247==    by 0x460F1D8: g_type_class_ref (gtype.c:2387)
==3247==    by 0x45F5439: g_object_newv (gobject.c:853)
==3247==    by 0x45F592E: g_object_new_valist (gobject.c:986)
==3247==    by 0x45F5ADF: g_object_new (gobject.c:795)
==3247==    by 0x449B84E: _gdk_x11_screen_new (gdkscreen-x11.c:501)
==3247==    by 0x447D4A1: gdk_display_open (gdkdisplay-x11.c:171)
==3247==    by 0x445983E: gdk_display_open_default_libgtk_only (gdk.c:288)
==3247==    by 0x419BF1E: gtk_init_check (gtkmain.c:898)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
==3247== 
==3247== Conditional jump or move depends on uninitialised value(s)
==3247==    at 0x4EDCFFD: pthread_rwlock_unlock (in /lib/libpthread-2.6.90.so)
==3247==    by 0x471D8AA: __dcigettext (dcigettext.c:639)
==3247==    by 0x471C702: dcgettext (dcgettext.c:53)
==3247==    by 0x447140F: gdk_screen_class_intern_init (gdkscreen.c:71)
==3247==    by 0x460ED80: g_type_class_ref (gtype.c:1874)
==3247==    by 0x460F1D8: g_type_class_ref (gtype.c:2387)
==3247==    by 0x45F5439: g_object_newv (gobject.c:853)
==3247==    by 0x45F592E: g_object_new_valist (gobject.c:986)
==3247==    by 0x45F5ADF: g_object_new (gobject.c:795)
==3247==    by 0x449B84E: _gdk_x11_screen_new (gdkscreen-x11.c:501)
==3247==    by 0x447D4A1: gdk_display_open (gdkdisplay-x11.c:171)
==3247==    by 0x445983E: gdk_display_open_default_libgtk_only (gdk.c:288)
==3247==    by 0x419BF1E: gtk_init_check (gtkmain.c:898)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
==3247== 
==3247== Conditional jump or move depends on uninitialised value(s)
==3247==    at 0x4EDD012: pthread_rwlock_unlock (in /lib/libpthread-2.6.90.so)
==3247==    by 0x471D8AA: __dcigettext (dcigettext.c:639)
==3247==    by 0x471C702: dcgettext (dcgettext.c:53)
==3247==    by 0x447140F: gdk_screen_class_intern_init (gdkscreen.c:71)
==3247==    by 0x460ED80: g_type_class_ref (gtype.c:1874)
==3247==    by 0x460F1D8: g_type_class_ref (gtype.c:2387)
==3247==    by 0x45F5439: g_object_newv (gobject.c:853)
==3247==    by 0x45F592E: g_object_new_valist (gobject.c:986)
==3247==    by 0x45F5ADF: g_object_new (gobject.c:795)
==3247==    by 0x449B84E: _gdk_x11_screen_new (gdkscreen-x11.c:501)
==3247==    by 0x447D4A1: gdk_display_open (gdkdisplay-x11.c:171)
==3247==    by 0x445983E: gdk_display_open_default_libgtk_only (gdk.c:288)
==3247==    by 0x419BF1E: gtk_init_check (gtkmain.c:898)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
==3247== 
==3247== Conditional jump or move depends on uninitialised value(s)
==3247==    at 0x4EDD018: pthread_rwlock_unlock (in /lib/libpthread-2.6.90.so)
==3247==    by 0x471D8AA: __dcigettext (dcigettext.c:639)
==3247==    by 0x471C702: dcgettext (dcgettext.c:53)
==3247==    by 0x447140F: gdk_screen_class_intern_init (gdkscreen.c:71)
==3247==    by 0x460ED80: g_type_class_ref (gtype.c:1874)
==3247==    by 0x460F1D8: g_type_class_ref (gtype.c:2387)
==3247==    by 0x45F5439: g_object_newv (gobject.c:853)
==3247==    by 0x45F592E: g_object_new_valist (gobject.c:986)
==3247==    by 0x45F5ADF: g_object_new (gobject.c:795)
==3247==    by 0x449B84E: _gdk_x11_screen_new (gdkscreen-x11.c:501)
==3247==    by 0x447D4A1: gdk_display_open (gdkdisplay-x11.c:171)
==3247==    by 0x445983E: gdk_display_open_default_libgtk_only (gdk.c:288)
==3247==    by 0x419BF1E: gtk_init_check (gtkmain.c:898)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
==3247== 
==3247== Conditional jump or move depends on uninitialised value(s)
==3247==    at 0x4EDD054: pthread_rwlock_unlock (in /lib/libpthread-2.6.90.so)
==3247==    by 0x471D8AA: __dcigettext (dcigettext.c:639)
==3247==    by 0x471C702: dcgettext (dcgettext.c:53)
==3247==    by 0x447140F: gdk_screen_class_intern_init (gdkscreen.c:71)
==3247==    by 0x460ED80: g_type_class_ref (gtype.c:1874)
==3247==    by 0x460F1D8: g_type_class_ref (gtype.c:2387)
==3247==    by 0x45F5439: g_object_newv (gobject.c:853)
==3247==    by 0x45F592E: g_object_new_valist (gobject.c:986)
==3247==    by 0x45F5ADF: g_object_new (gobject.c:795)
==3247==    by 0x449B84E: _gdk_x11_screen_new (gdkscreen-x11.c:501)
==3247==    by 0x447D4A1: gdk_display_open (gdkdisplay-x11.c:171)
==3247==    by 0x445983E: gdk_display_open_default_libgtk_only (gdk.c:288)
==3247==    by 0x419BF1E: gtk_init_check (gtkmain.c:898)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
==3247== 
==3247== Conditional jump or move depends on uninitialised value(s)
==3247==    at 0x4EDCA83: pthread_rwlock_rdlock (in /lib/libpthread-2.6.90.so)
==3247==    by 0x471D8AA: __dcigettext (dcigettext.c:639)
==3247==    by 0x471C702: dcgettext (dcgettext.c:53)
==3247==    by 0x447145E: gdk_screen_class_intern_init (gdkscreen.c:79)
==3247==    by 0x460ED80: g_type_class_ref (gtype.c:1874)
==3247==    by 0x460F1D8: g_type_class_ref (gtype.c:2387)
==3247==    by 0x45F5439: g_object_newv (gobject.c:853)
==3247==    by 0x45F592E: g_object_new_valist (gobject.c:986)
==3247==    by 0x45F5ADF: g_object_new (gobject.c:795)
==3247==    by 0x449B84E: _gdk_x11_screen_new (gdkscreen-x11.c:501)
==3247==    by 0x447D4A1: gdk_display_open (gdkdisplay-x11.c:171)
==3247==    by 0x445983E: gdk_display_open_default_libgtk_only (gdk.c:288)
==3247==    by 0x419BF1E: gtk_init_check (gtkmain.c:898)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
==3247== 
==3247== Conditional jump or move depends on uninitialised value(s)
==3247==    at 0x4EDCA90: pthread_rwlock_rdlock (in /lib/libpthread-2.6.90.so)
==3247==    by 0x471D8AA: __dcigettext (dcigettext.c:639)
==3247==    by 0x471C702: dcgettext (dcgettext.c:53)
==3247==    by 0x447145E: gdk_screen_class_intern_init (gdkscreen.c:79)
==3247==    by 0x460ED80: g_type_class_ref (gtype.c:1874)
==3247==    by 0x460F1D8: g_type_class_ref (gtype.c:2387)
==3247==    by 0x45F5439: g_object_newv (gobject.c:853)
==3247==    by 0x45F592E: g_object_new_valist (gobject.c:986)
==3247==    by 0x45F5ADF: g_object_new (gobject.c:795)
==3247==    by 0x449B84E: _gdk_x11_screen_new (gdkscreen-x11.c:501)
==3247==    by 0x447D4A1: gdk_display_open (gdkdisplay-x11.c:171)
==3247==    by 0x445983E: gdk_display_open_default_libgtk_only (gdk.c:288)
==3247==    by 0x419BF1E: gtk_init_check (gtkmain.c:898)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
==3247== 
==3247== Conditional jump or move depends on uninitialised value(s)
==3247==    at 0x4EDCAE5: pthread_rwlock_rdlock (in /lib/libpthread-2.6.90.so)
==3247==    by 0x471D8AA: __dcigettext (dcigettext.c:639)
==3247==    by 0x471C702: dcgettext (dcgettext.c:53)
==3247==    by 0x447145E: gdk_screen_class_intern_init (gdkscreen.c:79)
==3247==    by 0x460ED80: g_type_class_ref (gtype.c:1874)
==3247==    by 0x460F1D8: g_type_class_ref (gtype.c:2387)
==3247==    by 0x45F5439: g_object_newv (gobject.c:853)
==3247==    by 0x45F592E: g_object_new_valist (gobject.c:986)
==3247==    by 0x45F5ADF: g_object_new (gobject.c:795)
==3247==    by 0x449B84E: _gdk_x11_screen_new (gdkscreen-x11.c:501)
==3247==    by 0x447D4A1: gdk_display_open (gdkdisplay-x11.c:171)
==3247==    by 0x445983E: gdk_display_open_default_libgtk_only (gdk.c:288)
==3247==    by 0x419BF1E: gtk_init_check (gtkmain.c:898)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
==3247== 
==3247== Conditional jump or move depends on uninitialised value(s)
==3247==    at 0x4EDCAEB: pthread_rwlock_rdlock (in /lib/libpthread-2.6.90.so)
==3247==    by 0x471D8AA: __dcigettext (dcigettext.c:639)
==3247==    by 0x471C702: dcgettext (dcgettext.c:53)
==3247==    by 0x447145E: gdk_screen_class_intern_init (gdkscreen.c:79)
==3247==    by 0x460ED80: g_type_class_ref (gtype.c:1874)
==3247==    by 0x460F1D8: g_type_class_ref (gtype.c:2387)
==3247==    by 0x45F5439: g_object_newv (gobject.c:853)
==3247==    by 0x45F592E: g_object_new_valist (gobject.c:986)
==3247==    by 0x45F5ADF: g_object_new (gobject.c:795)
==3247==    by 0x449B84E: _gdk_x11_screen_new (gdkscreen-x11.c:501)
==3247==    by 0x447D4A1: gdk_display_open (gdkdisplay-x11.c:171)
==3247==    by 0x445983E: gdk_display_open_default_libgtk_only (gdk.c:288)
==3247==    by 0x419BF1E: gtk_init_check (gtkmain.c:898)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
==3247== 
==3247== Conditional jump or move depends on uninitialised value(s)
==3247==    at 0x4EDCFF1: pthread_rwlock_unlock (in /lib/libpthread-2.6.90.so)
==3247==    by 0x471D8AA: __dcigettext (dcigettext.c:639)
==3247==    by 0x471C702: dcgettext (dcgettext.c:53)
==3247==    by 0x447145E: gdk_screen_class_intern_init (gdkscreen.c:79)
==3247==    by 0x460ED80: g_type_class_ref (gtype.c:1874)
==3247==    by 0x460F1D8: g_type_class_ref (gtype.c:2387)
==3247==    by 0x45F5439: g_object_newv (gobject.c:853)
==3247==    by 0x45F592E: g_object_new_valist (gobject.c:986)
==3247==    by 0x45F5ADF: g_object_new (gobject.c:795)
==3247==    by 0x449B84E: _gdk_x11_screen_new (gdkscreen-x11.c:501)
==3247==    by 0x447D4A1: gdk_display_open (gdkdisplay-x11.c:171)
==3247==    by 0x445983E: gdk_display_open_default_libgtk_only (gdk.c:288)
==3247==    by 0x419BF1E: gtk_init_check (gtkmain.c:898)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
==3247== 
==3247== Conditional jump or move depends on uninitialised value(s)
==3247==    at 0x4EDCFFD: pthread_rwlock_unlock (in /lib/libpthread-2.6.90.so)
==3247==    by 0x471D8AA: __dcigettext (dcigettext.c:639)
==3247==    by 0x471C702: dcgettext (dcgettext.c:53)
==3247==    by 0x447145E: gdk_screen_class_intern_init (gdkscreen.c:79)
==3247==    by 0x460ED80: g_type_class_ref (gtype.c:1874)
==3247==    by 0x460F1D8: g_type_class_ref (gtype.c:2387)
==3247==    by 0x45F5439: g_object_newv (gobject.c:853)
==3247==    by 0x45F592E: g_object_new_valist (gobject.c:986)
==3247==    by 0x45F5ADF: g_object_new (gobject.c:795)
==3247==    by 0x449B84E: _gdk_x11_screen_new (gdkscreen-x11.c:501)
==3247==    by 0x447D4A1: gdk_display_open (gdkdisplay-x11.c:171)
==3247==    by 0x445983E: gdk_display_open_default_libgtk_only (gdk.c:288)
==3247==    by 0x419BF1E: gtk_init_check (gtkmain.c:898)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
==3247== 
==3247== Conditional jump or move depends on uninitialised value(s)
==3247==    at 0x4EDD012: pthread_rwlock_unlock (in /lib/libpthread-2.6.90.so)
==3247==    by 0x471D8AA: __dcigettext (dcigettext.c:639)
==3247==    by 0x471C702: dcgettext (dcgettext.c:53)
==3247==    by 0x447145E: gdk_screen_class_intern_init (gdkscreen.c:79)
==3247==    by 0x460ED80: g_type_class_ref (gtype.c:1874)
==3247==    by 0x460F1D8: g_type_class_ref (gtype.c:2387)
==3247==    by 0x45F5439: g_object_newv (gobject.c:853)
==3247==    by 0x45F592E: g_object_new_valist (gobject.c:986)
==3247==    by 0x45F5ADF: g_object_new (gobject.c:795)
==3247==    by 0x449B84E: _gdk_x11_screen_new (gdkscreen-x11.c:501)
==3247==    by 0x447D4A1: gdk_display_open (gdkdisplay-x11.c:171)
==3247==    by 0x445983E: gdk_display_open_default_libgtk_only (gdk.c:288)
==3247==    by 0x419BF1E: gtk_init_check (gtkmain.c:898)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
==3247== 
==3247== Conditional jump or move depends on uninitialised value(s)
==3247==    at 0x4EDD018: pthread_rwlock_unlock (in /lib/libpthread-2.6.90.so)
==3247==    by 0x471D8AA: __dcigettext (dcigettext.c:639)
==3247==    by 0x471C702: dcgettext (dcgettext.c:53)
==3247==    by 0x447145E: gdk_screen_class_intern_init (gdkscreen.c:79)
==3247==    by 0x460ED80: g_type_class_ref (gtype.c:1874)
==3247==    by 0x460F1D8: g_type_class_ref (gtype.c:2387)
==3247==    by 0x45F5439: g_object_newv (gobject.c:853)
==3247==    by 0x45F592E: g_object_new_valist (gobject.c:986)
==3247==    by 0x45F5ADF: g_object_new (gobject.c:795)
==3247==    by 0x449B84E: _gdk_x11_screen_new (gdkscreen-x11.c:501)
==3247==    by 0x447D4A1: gdk_display_open (gdkdisplay-x11.c:171)
==3247==    by 0x445983E: gdk_display_open_default_libgtk_only (gdk.c:288)
==3247==    by 0x419BF1E: gtk_init_check (gtkmain.c:898)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
==3247== 
==3247== Conditional jump or move depends on uninitialised value(s)
==3247==    at 0x4EDD054: pthread_rwlock_unlock (in /lib/libpthread-2.6.90.so)
==3247==    by 0x471D8AA: __dcigettext (dcigettext.c:639)
==3247==    by 0x471C702: dcgettext (dcgettext.c:53)
==3247==    by 0x447145E: gdk_screen_class_intern_init (gdkscreen.c:79)
==3247==    by 0x460ED80: g_type_class_ref (gtype.c:1874)
==3247==    by 0x460F1D8: g_type_class_ref (gtype.c:2387)
==3247==    by 0x45F5439: g_object_newv (gobject.c:853)
==3247==    by 0x45F592E: g_object_new_valist (gobject.c:986)
==3247==    by 0x45F5ADF: g_object_new (gobject.c:795)
==3247==    by 0x449B84E: _gdk_x11_screen_new (gdkscreen-x11.c:501)
==3247==    by 0x447D4A1: gdk_display_open (gdkdisplay-x11.c:171)
==3247==    by 0x445983E: gdk_display_open_default_libgtk_only (gdk.c:288)
==3247==    by 0x419BF1E: gtk_init_check (gtkmain.c:898)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
==3247== 
==3247== Conditional jump or move depends on uninitialised value(s)
==3247==    at 0x4EDCA83: pthread_rwlock_rdlock (in /lib/libpthread-2.6.90.so)
==3247==    by 0x471D8AA: __dcigettext (dcigettext.c:639)
==3247==    by 0x471C702: dcgettext (dcgettext.c:53)
==3247==    by 0x447147D: gdk_screen_class_intern_init (gdkscreen.c:79)
==3247==    by 0x460ED80: g_type_class_ref (gtype.c:1874)
==3247==    by 0x460F1D8: g_type_class_ref (gtype.c:2387)
==3247==    by 0x45F5439: g_object_newv (gobject.c:853)
==3247==    by 0x45F592E: g_object_new_valist (gobject.c:986)
==3247==    by 0x45F5ADF: g_object_new (gobject.c:795)
==3247==    by 0x449B84E: _gdk_x11_screen_new (gdkscreen-x11.c:501)
==3247==    by 0x447D4A1: gdk_display_open (gdkdisplay-x11.c:171)
==3247==    by 0x445983E: gdk_display_open_default_libgtk_only (gdk.c:288)
==3247==    by 0x419BF1E: gtk_init_check (gtkmain.c:898)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
==3247== 
==3247== Conditional jump or move depends on uninitialised value(s)
==3247==    at 0x4EDCA90: pthread_rwlock_rdlock (in /lib/libpthread-2.6.90.so)
==3247==    by 0x471D8AA: __dcigettext (dcigettext.c:639)
==3247==    by 0x471C702: dcgettext (dcgettext.c:53)
==3247==    by 0x447147D: gdk_screen_class_intern_init (gdkscreen.c:79)
==3247==    by 0x460ED80: g_type_class_ref (gtype.c:1874)
==3247==    by 0x460F1D8: g_type_class_ref (gtype.c:2387)
==3247==    by 0x45F5439: g_object_newv (gobject.c:853)
==3247==    by 0x45F592E: g_object_new_valist (gobject.c:986)
==3247==    by 0x45F5ADF: g_object_new (gobject.c:795)
==3247==    by 0x449B84E: _gdk_x11_screen_new (gdkscreen-x11.c:501)
==3247==    by 0x447D4A1: gdk_display_open (gdkdisplay-x11.c:171)
==3247==    by 0x445983E: gdk_display_open_default_libgtk_only (gdk.c:288)
==3247==    by 0x419BF1E: gtk_init_check (gtkmain.c:898)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
==3247== 
==3247== Conditional jump or move depends on uninitialised value(s)
==3247==    at 0x4EDCAE5: pthread_rwlock_rdlock (in /lib/libpthread-2.6.90.so)
==3247==    by 0x471D8AA: __dcigettext (dcigettext.c:639)
==3247==    by 0x471C702: dcgettext (dcgettext.c:53)
==3247==    by 0x447147D: gdk_screen_class_intern_init (gdkscreen.c:79)
==3247==    by 0x460ED80: g_type_class_ref (gtype.c:1874)
==3247==    by 0x460F1D8: g_type_class_ref (gtype.c:2387)
==3247==    by 0x45F5439: g_object_newv (gobject.c:853)
==3247==    by 0x45F592E: g_object_new_valist (gobject.c:986)
==3247==    by 0x45F5ADF: g_object_new (gobject.c:795)
==3247==    by 0x449B84E: _gdk_x11_screen_new (gdkscreen-x11.c:501)
==3247==    by 0x447D4A1: gdk_display_open (gdkdisplay-x11.c:171)
==3247==    by 0x445983E: gdk_display_open_default_libgtk_only (gdk.c:288)
==3247==    by 0x419BF1E: gtk_init_check (gtkmain.c:898)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
==3247== 
==3247== Conditional jump or move depends on uninitialised value(s)
==3247==    at 0x4EDCAEB: pthread_rwlock_rdlock (in /lib/libpthread-2.6.90.so)
==3247==    by 0x471D8AA: __dcigettext (dcigettext.c:639)
==3247==    by 0x471C702: dcgettext (dcgettext.c:53)
==3247==    by 0x447147D: gdk_screen_class_intern_init (gdkscreen.c:79)
==3247==    by 0x460ED80: g_type_class_ref (gtype.c:1874)
==3247==    by 0x460F1D8: g_type_class_ref (gtype.c:2387)
==3247==    by 0x45F5439: g_object_newv (gobject.c:853)
==3247==    by 0x45F592E: g_object_new_valist (gobject.c:986)
==3247==    by 0x45F5ADF: g_object_new (gobject.c:795)
==3247==    by 0x449B84E: _gdk_x11_screen_new (gdkscreen-x11.c:501)
==3247==    by 0x447D4A1: gdk_display_open (gdkdisplay-x11.c:171)
==3247==    by 0x445983E: gdk_display_open_default_libgtk_only (gdk.c:288)
==3247==    by 0x419BF1E: gtk_init_check (gtkmain.c:898)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
==3247== 
==3247== Conditional jump or move depends on uninitialised value(s)
==3247==    at 0x4EDCFF1: pthread_rwlock_unlock (in /lib/libpthread-2.6.90.so)
==3247==    by 0x471D8AA: __dcigettext (dcigettext.c:639)
==3247==    by 0x471C702: dcgettext (dcgettext.c:53)
==3247==    by 0x447147D: gdk_screen_class_intern_init (gdkscreen.c:79)
==3247==    by 0x460ED80: g_type_class_ref (gtype.c:1874)
==3247==    by 0x460F1D8: g_type_class_ref (gtype.c:2387)
==3247==    by 0x45F5439: g_object_newv (gobject.c:853)
==3247==    by 0x45F592E: g_object_new_valist (gobject.c:986)
==3247==    by 0x45F5ADF: g_object_new (gobject.c:795)
==3247==    by 0x449B84E: _gdk_x11_screen_new (gdkscreen-x11.c:501)
==3247==    by 0x447D4A1: gdk_display_open (gdkdisplay-x11.c:171)
==3247==    by 0x445983E: gdk_display_open_default_libgtk_only (gdk.c:288)
==3247==    by 0x419BF1E: gtk_init_check (gtkmain.c:898)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
==3247== 
==3247== Conditional jump or move depends on uninitialised value(s)
==3247==    at 0x4EDCFFD: pthread_rwlock_unlock (in /lib/libpthread-2.6.90.so)
==3247==    by 0x471D8AA: __dcigettext (dcigettext.c:639)
==3247==    by 0x471C702: dcgettext (dcgettext.c:53)
==3247==    by 0x447147D: gdk_screen_class_intern_init (gdkscreen.c:79)
==3247==    by 0x460ED80: g_type_class_ref (gtype.c:1874)
==3247==    by 0x460F1D8: g_type_class_ref (gtype.c:2387)
==3247==    by 0x45F5439: g_object_newv (gobject.c:853)
==3247==    by 0x45F592E: g_object_new_valist (gobject.c:986)
==3247==    by 0x45F5ADF: g_object_new (gobject.c:795)
==3247==    by 0x449B84E: _gdk_x11_screen_new (gdkscreen-x11.c:501)
==3247==    by 0x447D4A1: gdk_display_open (gdkdisplay-x11.c:171)
==3247==    by 0x445983E: gdk_display_open_default_libgtk_only (gdk.c:288)
==3247==    by 0x419BF1E: gtk_init_check (gtkmain.c:898)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
==3247== 
==3247== Conditional jump or move depends on uninitialised value(s)
==3247==    at 0x4EDD012: pthread_rwlock_unlock (in /lib/libpthread-2.6.90.so)
==3247==    by 0x471D8AA: __dcigettext (dcigettext.c:639)
==3247==    by 0x471C702: dcgettext (dcgettext.c:53)
==3247==    by 0x447147D: gdk_screen_class_intern_init (gdkscreen.c:79)
==3247==    by 0x460ED80: g_type_class_ref (gtype.c:1874)
==3247==    by 0x460F1D8: g_type_class_ref (gtype.c:2387)
==3247==    by 0x45F5439: g_object_newv (gobject.c:853)
==3247==    by 0x45F592E: g_object_new_valist (gobject.c:986)
==3247==    by 0x45F5ADF: g_object_new (gobject.c:795)
==3247==    by 0x449B84E: _gdk_x11_screen_new (gdkscreen-x11.c:501)
==3247==    by 0x447D4A1: gdk_display_open (gdkdisplay-x11.c:171)
==3247==    by 0x445983E: gdk_display_open_default_libgtk_only (gdk.c:288)
==3247==    by 0x419BF1E: gtk_init_check (gtkmain.c:898)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
==3247== 
==3247== Conditional jump or move depends on uninitialised value(s)
==3247==    at 0x4EDD018: pthread_rwlock_unlock (in /lib/libpthread-2.6.90.so)
==3247==    by 0x471D8AA: __dcigettext (dcigettext.c:639)
==3247==    by 0x471C702: dcgettext (dcgettext.c:53)
==3247==    by 0x447147D: gdk_screen_class_intern_init (gdkscreen.c:79)
==3247==    by 0x460ED80: g_type_class_ref (gtype.c:1874)
==3247==    by 0x460F1D8: g_type_class_ref (gtype.c:2387)
==3247==    by 0x45F5439: g_object_newv (gobject.c:853)
==3247==    by 0x45F592E: g_object_new_valist (gobject.c:986)
==3247==    by 0x45F5ADF: g_object_new (gobject.c:795)
==3247==    by 0x449B84E: _gdk_x11_screen_new (gdkscreen-x11.c:501)
==3247==    by 0x447D4A1: gdk_display_open (gdkdisplay-x11.c:171)
==3247==    by 0x445983E: gdk_display_open_default_libgtk_only (gdk.c:288)
==3247==    by 0x419BF1E: gtk_init_check (gtkmain.c:898)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
==3247== 
==3247== Conditional jump or move depends on uninitialised value(s)
==3247==    at 0x4EDD054: pthread_rwlock_unlock (in /lib/libpthread-2.6.90.so)
==3247==    by 0x471D8AA: __dcigettext (dcigettext.c:639)
==3247==    by 0x471C702: dcgettext (dcgettext.c:53)
==3247==    by 0x447147D: gdk_screen_class_intern_init (gdkscreen.c:79)
==3247==    by 0x460ED80: g_type_class_ref (gtype.c:1874)
==3247==    by 0x460F1D8: g_type_class_ref (gtype.c:2387)
==3247==    by 0x45F5439: g_object_newv (gobject.c:853)
==3247==    by 0x45F592E: g_object_new_valist (gobject.c:986)
==3247==    by 0x45F5ADF: g_object_new (gobject.c:795)
==3247==    by 0x449B84E: _gdk_x11_screen_new (gdkscreen-x11.c:501)
==3247==    by 0x447D4A1: gdk_display_open (gdkdisplay-x11.c:171)
==3247==    by 0x445983E: gdk_display_open_default_libgtk_only (gdk.c:288)
==3247==    by 0x419BF1E: gtk_init_check (gtkmain.c:898)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
--3247-- Reading syms from /usr/lib/gconv/ISO8859-1.so (0x403D000)
--3247--    svma 0x0000000000, avma 0x000403D000
--3247-- Reading debug info from /usr/lib/debug/usr/lib/gconv/ISO8859-1.so.debug...
--3247-- REDIR: 0x4FB55A0 (operator new(unsigned)) redirected to 0x4022C40
(operator new(unsigned))
--3247-- REDIR: 0x4FB56E0 (operator new[](unsigned)) redirected to 0x40228D0
(operator new[](unsigned))
==3247== 
==3247== Syscall param rt_sigaction(act->sa_mask) points to uninitialised byte(s)
==3247==    at 0x47228CD: sigaction (sigaction.c:94)
==3247==    by 0x4E27F61: google_breakpad::ExceptionHandler::SetupHandler(int)
(in /usr/lib/gtk-2.0/modules/libgnomebreakpad.so)
==3247==    by 0x4E28243: google_breakpad::ExceptionHandler::SetupHandler() (in
/usr/lib/gtk-2.0/modules/libgnomebreakpad.so)
==3247==    by 0x4E282FF:
google_breakpad::ExceptionHandler::ExceptionHandler(std::string const&, bool
(*)(void*), bool (*)(char const*, char const*, void*, bool), void*, bool) (in
/usr/lib/gtk-2.0/modules/libgnomebreakpad.so)
==3247==    by 0x4E27A82: gtk_module_init (in
/usr/lib/gtk-2.0/modules/libgnomebreakpad.so)
==3247==    by 0x41B8608: default_display_notify_cb (gtkmodules.c:413)
==3247==    by 0x45FCAC8: g_cclosure_marshal_VOID__PARAM (gmarshal.c:531)
==3247==    by 0x45EFF52: g_closure_invoke (gclosure.c:490)
==3247==    by 0x46006C2: signal_emit_unlocked_R (gsignal.c:2440)
==3247==    by 0x4601BE6: g_signal_emit_valist (gsignal.c:2199)
==3247==    by 0x4601DA8: g_signal_emit (gsignal.c:2243)
==3247==    by 0x45F4350: g_object_dispatch_properties_changed (gobject.c:563)
==3247==    by 0x45F0D1E: g_object_notify_dispatcher (gobject.c:245)
==3247==    by 0x45F5F51: g_object_notify (gobjectnotifyqueue.c:123)
==3247==    by 0x4462497: gdk_display_manager_set_default_display
(gdkdisplaymanager.c:243)
==3247==    by 0x4459855: gdk_display_open_default_libgtk_only (gdk.c:299)
==3247==    by 0x419BF1E: gtk_init_check (gtkmain.c:898)
==3247==    by 0x419BF53: gtk_init (gtkmain.c:933)
==3247==    by 0x804B972: main (gkr-ask-tool.c:635)
==3247==  Address 0xBEBBEC5C is on thread 1's stack
Comment 4 Julian Sikorski 2007-10-07 16:12:35 EDT
*** Bug 321261 has been marked as a duplicate of this bug. ***
Comment 5 Alexander Larsson 2007-10-09 09:52:21 EDT
Lots of warnings related to gtk+ module loading and libgnomebreakpad in
particular, can you try with that module not installed? (I guess its in bug-buddy?)
Comment 6 Nicolas Mailhot 2007-10-09 10:38:48 EDT
Do we ship libgnomebreakpad ? I've never seen it on any of my systems
Comment 7 Alexander Larsson 2007-10-09 10:57:25 EDT
Yes, /usr/lib/gtk-2.0/modules/libgnomebreakpad.so in bug-buddy.
Comment 8 Espen Stefansen 2007-10-09 11:19:27 EDT
*** Bug 320541 has been marked as a duplicate of this bug. ***
Comment 9 Nicolas Mailhot 2007-10-09 12:14:53 EDT
(In reply to comment #7)
> Yes, /usr/lib/gtk-2.0/modules/libgnomebreakpad.so in bug-buddy.

Ok, nice to see this bit was fixed.
Anyway on my system since I killed the gnome-keyring-ask processes that were 
stuck the problem seems not reproducible anymore, so only kmaraas can test now
Comment 10 Nicolas Mailhot 2007-10-09 13:18:53 EDT
*** Bug 324961 has been marked as a duplicate of this bug. ***
Comment 11 Julian Sikorski 2007-10-09 13:23:00 EDT
Don't forget about me :) Anyway, bug-buddy presence does not seem to make a
difference here. More, with today's rahwide push, restarting the daemon no
longer helps :(
Comment 12 Adam Huffman 2007-10-09 17:33:54 EDT
Still happening here.  If I kill the gnome-keyring-ask process once, then enter
the WPA passphrase manually, then kill the next keyring process, NetworkManager
is able to connect.

The whole desktop is unresponsive while the gnome-keyring-ask process is running.
Comment 13 Alexander Larsson 2007-10-10 03:14:38 EDT
Hmm, in the end it hangs in a call to dcgettext(), and valgrind complains
several times about "Conditional jump or move depends on uninitialised value" in
dcgettext. So, perhaps this is related to gettext and translations.

Do you guys run with a translated desktop or in english?
Comment 14 Alexander Larsson 2007-10-10 03:26:23 EDT
This seems to be a dup of bug 321761.
Can someone verify that downgrading glibc to glibc-2.6.90-15 fixes it?
Comment 15 Nicolas Mailhot 2007-10-10 04:36:12 EDT
(In reply to comment #13)

> Do you guys run with a translated desktop or in english?

fr_FR.UTF-8 there

Comment 16 Alexander Larsson 2007-10-10 05:08:36 EDT
I can reproduce when i switched to a translated locale. 
I talked to jakub, and it seems to be a glibc issue with dcgettext() when
libpthreads.so is dlopened() after main().
Marking as dup of 321761

*** This bug has been marked as a duplicate of 321761 ***
Comment 17 Matěj Cepl 2007-10-10 06:30:34 EDT
Just to confirm, that I have cs_CZ.UTF-8 locale here.